def slackNotify(){
  // BUILD_NUMBER が 1 のとき（つまり新しいブランチをpushしたとき、Pull Requestを作ったときのビルド）で、
  // currentBuild.currentResult が SUCCESS のときは通知しない
  if (env.BUILD_NUMBER == '1' && currentBuild.currentResult == 'SUCCESS') {
    return
  }
  // https://github.com/jenkinsci/slack-plugin/issues/327
  def durationString = currentBuild.durationString.replace(' and counting', '')
  // Slack 通知するときのメッセージ
  def notificationMessage = "${env.JOB_NAME} - ${currentBuild.displayName} ${currentBuild.currentResult} after ${durationString} (<${env.RUN_DISPLAY_URL}|Open>)"
  // Slack 通知するときの色 (ref: https://api.slack.com/docs/message-attachments)
  def notificationColor = 'warning'
  switch(currentBuild.currentResult){
    case 'SUCCESS':
      notificationColor = 'good'
      break
    case ['FAILURE', 'UNSTABLE']:
      notificationColor = 'danger'
      break
  }
  // Slack 通知
  slackSend color: notificationColor, message: notificationMessage
}

return this
